Subject: Re: [PATCH] git-svn: re-map repository URLs and UUIDs on SVK mirror paths

From: Sam Vilain <[email-masked]>
Date: Wed, 14 Feb 2007 18:18:21 +1300

Eric Wong wrote:
>> If an SVN revision has a property, "svm:headrev", it is likely that
>> the revision was created by SVN::Mirror (a part of SVK).  The property
>> contains a repository UUID and a revision.  We want to make it look
>> like we are mirroring the original URL, so introduce a helper function
>> that returns the original identity URL and UUID, and use it when
>> generating commit messages.
>>     
> If somebody is using these options with git-svn and wants to dcommit,
> they should only be committing to the svm:source repository and not to
> the repository managed by SVN::Mirror, right?

Yes. Only SVM::Mirror should write to paths below where svm:source and
svm:uuid are seen.

Sam.